complexType "TermPoint"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-mktenv-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | term?, bid?, mid?, ask?, spreadValue?, definition?
</...>

Content Model Elements (6):

  ask, bid, definition (in point defined in TermCurve complexType), | mid, spreadValue, term (in point defined in TermCurve complexType)

All Direct / Indirect Based Elements (1):

  point (defined in TermCurve complexType)

Known Usage Locations

- As direct type of elements (1):
  point (defined in TermCurve complexType)

Annotation
A value point that can have a time dimension. Allows bid, mid, ask, and spread values to be represented.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="TermPoint"> <xsd:sequence> <xsd:element minOccurs="0" name="term" type="TimeDimension"/> <xsd:group ref="BidMidAsk.model"/> <xsd:element minOccurs="0" name="spreadValue" type="xsd:decimal"/> <xsd:element minOccurs="0" name="definition" type="AssetReference"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/6)
definition

  Type: | AssetReference, empty content

  An optional reference to an underlying asset that defines the meaning of the value, i.e. the product that the value corresponds to. For example, this could be a discount instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="definition" type="AssetReference"/>

spreadValue

  Type: | xsd:decimal, predefined, simple content

  The spread value can be used in conjunction with the "mid" value to define the bid and the ask value.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spreadValue" type="xsd:decimal"/>

term

  Type: | TimeDimension, complex content

  The time dimension of the point (tenor and/or date)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="term" type="TimeDimension"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.